From eb0ed1054b766bd110b0d1675a93065c0185a60a Mon Sep 17 00:00:00 2001
From: Pavel Borisov <pashkin.elfe@gmail.com>
Date: Thu, 27 Aug 2020 19:55:37 +0400
Subject: [PATCH v1] Add VACUUM ANALYZE to index including test

---
 src/test/regress/expected/index_including.out | 1 +
 src/test/regress/sql/index_including.sql      | 1 +
 2 files changed, 2 insertions(+)

diff --git a/src/test/regress/expected/index_including.out b/src/test/regress/expected/index_including.out
index 8e5d53e712..6a2a13ffa2 100644
--- a/src/test/regress/expected/index_including.out
+++ b/src/test/regress/expected/index_including.out
@@ -146,6 +146,7 @@ select * from tbl where (c1,c2,c3) < (2,5,1);
 
 -- row comparison that compares high key at page boundary
 SET enable_seqscan = off;
+VACUUM ANALYZE tbl;
 explain (costs off)
 select * from tbl where (c1,c2,c3) < (262,1,1) limit 1;
                      QUERY PLAN                     
diff --git a/src/test/regress/sql/index_including.sql b/src/test/regress/sql/index_including.sql
index 7e517483ad..1f300fe3b6 100644
--- a/src/test/regress/sql/index_including.sql
+++ b/src/test/regress/sql/index_including.sql
@@ -78,6 +78,7 @@ select * from tbl where (c1,c2,c3) < (2,5,1);
 select * from tbl where (c1,c2,c3) < (2,5,1);
 -- row comparison that compares high key at page boundary
 SET enable_seqscan = off;
+VACUUM ANALYZE tbl;
 explain (costs off)
 select * from tbl where (c1,c2,c3) < (262,1,1) limit 1;
 select * from tbl where (c1,c2,c3) < (262,1,1) limit 1;
-- 
2.28.0

